Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLangParser

- org.apache.groovy.parser.antlr4.GroovyLangParser

-     public class GroovyLangParser
      extends GroovyParser

  The parser for Groovy programming language, which is based on the parser generated by Antlr4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyParser` | `RULE_compilationUnit, StringLiteral, VOCABULARY, _ATN, _serializedATN, ruleNames, tokenNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLangParser(TokenStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected FailedPredicateException` | `createFailedPredicateException(String predicate, String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser` | `annotatedQualifiedClassName, annotation, annotationName, annotationsOpt, anonymousInnerClassDeclaration, argumentList, argumentListElement, arguments, arrayInitializer, assertStatement, block, blockStatement, blockStatements, blockStatementsOpt, breakStatement, builtInType, castOperandExpression, castParExpression, catchClause, catchType, classBody, classBodyDeclaration, classDeclaration, className, classOrInterfaceModifier, classOrInterfaceModifiers, classOrInterfaceModifiersOpt, classOrInterfaceType, classicalForControl, closure, closureOrLambdaExpression, commandArgument, commandExpression, commandPrimary, compactConstructorDeclaration, compilationUnit, conditionalStatement, continueStatement, createFailedPredicateException, createdName, creator, dim, dynamicMemberName, elementValue, elementValueArrayInitializer, elementValuePair, elementValuePairName, elementValuePairs, elementValues, emptyDims, emptyDimsOpt, enhancedArgumentListElement, enhancedArgumentListInPar, enhancedForControl, enhancedStatementExpression, enumConstant, enumConstants, expression, expressionInPar, expressionList, expressionListElement, fieldDeclaration, finallyBlock, firstArgumentListElement, forControl, forInit, forUpdate, formalParameter, formalParameterList, formalParameters, generalClassOrInterfaceType, getErrorColumn, getErrorLine, getGrammarFileName, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, gstring, gstringPath, gstringValue, identifier, ifElseStatement, importDeclaration, indexPropertyArgs, keywords, lambdaBody, lambdaExpression, lambdaParameters, list, literal, localVariableDeclaration, loopStatement, map, mapEntry, mapEntryLabel, mapEntryList, memberDeclaration, methodBody, methodDeclaration, methodName, modifier, modifiers, modifiersOpt, namePart, namedArg, namedArgLabel, namedArgPrimary, namedPropertyArg, namedPropertyArgLabel, namedPropertyArgList, namedPropertyArgPrimary, namedPropertyArgs, nls, nonWildcardTypeArguments, packageDeclaration, parExpression, pathElement, pathExpression, postfixExpression, primary, primitiveType, qualifiedClassName, qualifiedClassNameList, qualifiedName, qualifiedNameElement, qualifiedNameElements, qualifiedStandardClassName, resource, resourceList, resources, returnType, rparen, scriptStatement, scriptStatements, sempred, sep, standardClassOrInterfaceType, standardLambdaExpression, standardLambdaParameters, standardType, statement, statementExpression, stringLiteral, switchBlockStatementExpressionGroup, switchBlockStatementGroup, switchExpression, switchExpressionLabel, switchLabel, switchStatement, thisFormalParameter, tryCatchStatement, type, typeArgument, typeArguments, typeArgumentsOrDiamond, typeBound, typeDeclaration, typeList, typeNamePair, typeNamePairs, typeParameter, typeParameters, variableDeclaration, variableDeclarator, variableDeclaratorId, variableDeclarators, variableInitializer, variableInitializers, variableModifier, variableModifiers, variableModifiersOpt, variableNames, yieldStatement`

- - ### Constructor Detail

    - #### public GroovyLangParser(TokenStream input)

  - ### Method Detail

    - #### @Override
      protected FailedPredicateException createFailedPredicateException(String predicate, String message)